Version: 5
restore



Help Contents

 

System Requirements

The following sections outline the system requirements.

Supported Operating Systems

Enterprise Tester is supported on the following operating systems:                              

  • Windows Vista  – SP2 Required                       

  • Windows 7 – SP1 Required

  • Windows 8

  • Windows 8.1 

  • Windows Server 2008 - SP2 Required

  • Windows Server 2008 R2 - SP1 Required

  • Windows Server 2012

  • Windows Server 2012 R2

We recommend the following:

 

Minimum ( not recommended for Production environments)

30 Users and Above Server Deployments

Memory

2.0-3.0 GB depending on Usage

4.0-8.0GB depending on usage

CPU

2.4 Ghz x2

2.4 Ghz x2

Disk (operating system)

30GB

30GB

Disk (data)

30GB

30GB

Configurations using less memory than this may run but performance will be severely degraded. Windows Vista/7/8 are only supported for trial use. We do not support these operating systems for a production platform.

Supported Browsers

The following browsers are compatible with Enterprise Tester:

  • Chrome
  • Safari 
  • Firefox
  • Internet Explorer 9 
  • Internet Explorer 10
  • Internet Explorer 11

We recommend a minimum screen resolution of 1280x720 for best use of Enterprise Tester.

 

Supported Databases

Enterprise Tester supports a number of different database servers which can be used with the product, these are:

  • SQL Server 2008 R2 and above
  • SQL Server Express 2008 R2 and above
  • MySQL 
  • Oracle 10g / 11g 
  • PostgreSQL

Please see the next section for database specific notes on setting the character set before you begin.

We recommend that the database is not installed on the same server as ET.

Database Specific Notes on Setting the Character Set

MySQL

Enterprise Tester supports unicode strings in MySql databases, but you must ensure some steps are followed during initial setup.

Step 1 - Database Creation

When creating the database, you must specify UTF8 as the default character set and utf8 case insensitive as the default collation: 

 CREATE DATABASE `enterprisetester` CHARACTER SET utf8 COLLATE utf8_general_ci; 

Step 2 - Configuring Character Set in Connection String

If your connection string to the MySql database is: 

<add name="Default" connectionString="Server=10.1.1.1;Database=enterprisetester;Uid=etuser;Pwd=etpass" /> 

Then you must append the UTF8 character set declaration to end, like so:

<add name="Default" connectionString="Server=10.1.1.1;Database=enterprisetester;Uid=etuser;Pwd=etpass;CharSet=utf8;" /> 

If you have not set the UTF8 character set, there are ways to change the character set through a process of dumping out the database, performing a search/replace of all character set / collation declarations, then importing the modified database dump. Please consult your in-house MySql DBA for assistance.

PostgreSQL

Enterprise Tester supports unicode strings in Postgresql databases, but you must ensure some steps are followed during initial setup of the database. Before beginning, make sure you have a version of PostgreSQL that supports a column type of "uuid" (normally version 8.3 and later) as this is required by Enterprise Tester.

PostgreSql Databases must be created with a unicode encoding and we recommend using "UTF-8". If you use a non-unicode encoding such as WIN1252 Enterprise Tester will still work, but you may experience some issues when restoring baselines from other ET instances, importing data or when users save textual data that contains unicode characters.

For Postgresql to support unicode strings, you must create the database with the 'UTF8' encoding, like so: 

CREATE DATABASE "enterprisetester" 
  WITH OWNER "postgres" 
  ENCODING 'UTF8' 
  LC_COLLATE = 'en_US.UTF-8' 
  LC_CTYPE = 'en_US.UTF-8'; 

Unlike MySql there is no need to change the connection string to accommodate UTF8 encoding. If you wish to learn more about setting the locale and collation for a PostgreSql database, please refer to the PostgreSql documentation: 

http://www.postgresql.org/docs/current/interactive/locale.html
http://www.postgresql.org/docs/current/interactive/collation.

Software Pre-requisites

The pre-requisites for installing Enterprise Tester are:

  • IIS 7 and above 
  • The .Net Framework 4.5 installed. 
  • If you install IIS after the .Net Framework you will probably need to register ASP.Net for use with IIS

Additional Configuration

You may need to configure other components before Enterprise Tester will install or operate correctly.